#include<bits/stdc++.h>
using namespace std;
long long poeni,sett,i,j;
main()
{
	ios_base::sync_with_stdio(0);
	cin>>poeni>>sett;
	if(poeni<3*sett)
	{
		cout<<-1;
		return 0;
	}
	
	if(poeni==3*sett)
	{
		cout<<sett<<" "<<0<<endl<<sett<<" "<<0<<endl<<sett<<" "<<0;
		return 0;
	}
	
	if(sett==2)
	{
	if(poeni%2==1)
	{
	cout<<-1;
	return 0;	
	}
	
	cout<<2<<" "<<0<<endl<<2<<" "<<0<<endl<<poeni/2-1<<" "<<poeni/2-3;
	return 0;	
	}
	
if(poeni>=4*sett)
{
if(poeni%2==0)
cout<<sett<<" "<<0<<endl<<sett<<" "<<0<<endl<<poeni/2-sett+1<<" "<<poeni/2-sett-1;

else
cout<<sett<<" "<<1<<endl<<sett<<" "<<0<<endl<<poeni/2-sett+1<<" "<<poeni/2-sett-1;

return 0;
}

cout<<sett<<" "<<1<<endl<<sett<<" "<<0<<endl<<sett<<" "<<poeni-3*sett-1;
return 0;
}